﻿namespace UltraChartEmptyChartTextAppearance
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;
    using Infragistics.UltraChart.Shared.Events;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
            this.ultraChart1.InvalidDataReceived += UltraChart1_InvalidDataReceived;
        }

        private void UltraChart1_InvalidDataReceived(object sender, ChartDataInvalidEventArgs e)
        {
            e.LabelStyle.FontColor = Color.Magenta;
            e.LabelStyle.Font = new Font("arial", 12, FontStyle.Regular);
            e.LabelStyle.HorizontalAlign = StringAlignment.Center;
            e.LabelStyle.VerticalAlign = StringAlignment.Center;
            e.LabelStyle.FontSizeBestFit = false;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraChart1.EmptyChartText = "No data";
        }
    }
}
